Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.sso.opensso
Class OpenSSOAuthenticationValve

    java.lang.Object
      org.apache.catalina.valves.ValveBase
          org.jboss.portal.identity.sso.opensso.OpenSSOAuthenticationValve

All Implemented Interfaces:
  javax.management.MBeanRegistration, org.apache.catalina.Contained, org.apache.catalina.Valve

    public class OpenSSOAuthenticationValve

extends org.apache.catalina.valves.ValveBase

Version:
  $Revision: 0.1 $
Author:
  Boleslaw Dawidowicz

Field Summary
`static java.lang.String` | `WEB_REQUEST_KEY`

Fields inherited from class org.apache.catalina.valves.ValveBase
`container, containerLog, controller, domain, info, mserver, next, oname, sm`

Constructor Summary
`OpenSSOAuthenticationValve()`

Method Summary
`java.lang.String` | `getAuthType()`
`java.lang.String` | `getLoginParameters()`
`java.lang.String` | `getLoginURL()`
`java.lang.String` | `getLogoutParameters()`
`java.lang.String` | `getLogoutURL()`
`java.util.Set` | `getSecuredUrlPatterns()`
`void` | `invoke(org.apache.catalina.connector.Request request, org.apache.catalina.connector.Response response)`
`boolean` | `isAppendLoginGoto()`
`boolean` | `isAppendLogoutGoto()`
`void` | `setAppendLoginGoto(boolean appendLoginGoto)`
`void` | `setAppendLogoutGoto(boolean appendLogoutGoto)`
`void` | `setAuthType(java.lang.String authType)`
`void` | `setLoginParameters(java.lang.String loginParameters)`
`void` | `setLoginURL(java.lang.String loginURL)`
`void` | `setLogoutParameters(java.lang.String logoutParameters)`
`void` | `setLogoutURL(java.lang.String logoutURL)`

Methods inherited from class org.apache.catalina.valves.ValveBase
`backgroundProcess, createObjectName, getContainer, getContainerName, getController, getDomain, getInfo, getNext, getObjectName, getParentName, postDeregister, postRegister, preDeregister, preRegister, setContainer, setController, setNext, setObjectName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WEB_REQUEST_KEY

    public static final java.lang.String WEB_REQUEST_KEY

See Also:
  Constant Field Values

Constructor Detail

### OpenSSOAuthenticationValve

    public OpenSSOAuthenticationValve()

Method Detail

### invoke

    public void invoke(org.apache.catalina.connector.Request request,
                       org.apache.catalina.connector.Response response)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Specified by:
    `invoke` in interface `org.apache.catalina.Valve`
  Specified by:
    `invoke` in class `org.apache.catalina.valves.ValveBase`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### getSecuredUrlPatterns

    public java.util.Set getSecuredUrlPatterns()

### getLoginURL

    public java.lang.String getLoginURL()

### setLoginURL

    public void setLoginURL(java.lang.String loginURL)

### getLogoutURL

    public java.lang.String getLogoutURL()

### setLogoutURL

    public void setLogoutURL(java.lang.String logoutURL)

### isAppendLoginGoto

    public boolean isAppendLoginGoto()

### setAppendLoginGoto

    public void setAppendLoginGoto(boolean appendLoginGoto)

### isAppendLogoutGoto

    public boolean isAppendLogoutGoto()

### setAppendLogoutGoto

    public void setAppendLogoutGoto(boolean appendLogoutGoto)

### getLoginParameters

    public java.lang.String getLoginParameters()

### setLoginParameters

    public void setLoginParameters(java.lang.String loginParameters)

### getLogoutParameters

    public java.lang.String getLogoutParameters()

### setLogoutParameters

    public void setLogoutParameters(java.lang.String logoutParameters)

### getAuthType

    public java.lang.String getAuthType()

### setAuthType

    public void setAuthType(java.lang.String authType)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD